Update api-key
PUT/api/v1/partner/settings/api-keys/:id
Update an API key's name, scopes, full access, or expiry.
Request
Path Parameters
The unique identifier of the .
- application/json
Body
Possible values: non-empty
Possible values: non-empty
Route ids (e.g. 'POST /api/v8/partner/documents') and/or preset tokens (e.g. 'preset:lens-sdk') this key may use; ignored when full_access is true. GET /api/v1/partner/settings/api-keys/available-permissions for the full list of valid values.
Responses
- 200
- 400
- 403
- 404
- 413
- 429
- 499
- 500
- 503
- 504
- default
An API key
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Possible values: non-empty
Possible values: non-empty
Possible values: non-empty
Possible values: non-empty
managers object[]
Possible values: non-empty
Possible values: non-empty
{
"id": 0,
"full_access": true,
"allowed_routes": [
"string"
],
"status": "string",
"managers": [
{
"id": 0,
"name": "string",
"email": "string",
"is_owner": true,
"active": true
}
]
}
User error
- application/json
- Schema
- Example (from schema)
Schema
- MALFORMED_PARAMETERS
Default value: fail
Default value: Malformed parameters
Default value: [object Object]
{}
User error
- application/json
- Schema
- Example (from schema)
Schema
- AUTHENTICATION_CREDENTIALS_WERE_NOT_PROVIDED
- THIS_API_KEY_IS_NOT_PERMITTED_TO_ACCESS_THIS_ROUTE
Default value: fail
Default value: Authentication credentials were not provided.
Default value: fail
Default value: This API key is not permitted to access this route
{}
Not found
- application/json
- Schema
- Example (from schema)
Schema
- NOT_FOUND
- DOCUMENT_NOT_FOUND
Default value: fail
Default value: Not found.
Default value: fail
Default value: Document Not Found
{}
Request body too large
- application/json
- Schema
- Example (from schema)
Schema
- REQUEST_BODY_TOO_LARGE
Default value: fail
Default value: Request body too large
{}
Rate limit
- application/json
- Schema
- Example (from schema)
Schema
- YOU_HAVE_BEEN_RATE_LIMITED
Default value: fail
Default value: You have been rate limited
Default value: [object Object]
{}
User error
- application/json
- Schema
- Example (from schema)
Schema
- CLIENT_CLOSED_REQUEST_OR_LOST_CONNECTION
Default value: fail
Default value: Client closed request or lost connection
{}
Unexpected error
Service is temporarily unavailable
- application/json
- Schema
- Example (from schema)
Schema
- SERVICE_IS_TEMPORARILY_UNAVAILABLE_PLEASE_TRY_AGAIN_LATER
Default value: fail
Default value: Service is temporarily unavailable. Please try again later
{}
Gateway timeout. Returned if request takes more than 120 seconds. The request might finish successfully later.
- application/json
- Schema
- Example (from schema)
Schema
- GATEWAY_TIMEOUT
Default value: fail
Default value: Gateway timeout
{}
General error response
- application/json
- Schema
- Example (from schema)
Schema
Default value: fail
{
"status": "fail",
"error": "string"
}